petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMNetworkCreate

Creates a DMNetwork object, which encapsulates an unstructured network.

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkCreate(MPI_Comm comm, DM *network)

Collective on MPI_Comm

### Input Parameter

comm -The communicator for the DMNetwork object

### Output Parameter

network -The DMNetwork object

### Keywords

DMNetwork, create

Level:beginner
Location:src/dm/impls/network/networkcreate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages